package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

public class RoadshowAddModel {
    private Long id;

    private String roadshowState;
    @NotEmpty()
    @FieldDescriber(descripton = "路演名称")
    private String roadshowName;
    @NotEmpty()
    @FieldDescriber(descripton = "融资类型")
    private String financingType;
    @NotNull
    @FieldDescriber(descripton = "融资金额")
    private BigDecimal financingAmount;

    private String projectPhase;

    private String tradeField;
    @NotEmpty()
    @FieldDescriber(descripton = "标签")
    private String roadshowTag;

    private Long publishBy;

    private Date publishAt;

    private Long auditedBy;

    private Date auditedAt;

    private String auditResult;

    private String auditOpinion;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;
    @NotEmpty()
    @FieldDescriber(descripton = "路演描述")
    private String roadshowIntro;

    private String thumbnail;

    private String material1;

    private String material2;

    private String material3;

    private String material4;

    public String getRoadshowIntro() {
        return roadshowIntro;
    }

    public void setRoadshowIntro(String roadshowIntro) {
        this.roadshowIntro = roadshowIntro == null ? null : roadshowIntro.trim();
    }

    public String getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail == null ? null : thumbnail.trim();
    }

    public String getMaterial1() {
        return material1;
    }

    public void setMaterial1(String material1) {
        this.material1 = material1 == null ? null : material1.trim();
    }

    public String getMaterial2() {
        return material2;
    }

    public void setMaterial2(String material2) {
        this.material2 = material2 == null ? null : material2.trim();
    }

    public String getMaterial3() {
        return material3;
    }

    public void setMaterial3(String material3) {
        this.material3 = material3 == null ? null : material3.trim();
    }

    public String getMaterial4() {
        return material4;
    }

    public void setMaterial4(String material4) {
        this.material4 = material4 == null ? null : material4.trim();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRoadshowState() {
        return roadshowState;
    }

    public void setRoadshowState(String roadshowState) {
        this.roadshowState = roadshowState == null ? null : roadshowState.trim();
    }

    public String getRoadshowName() {
        return roadshowName;
    }

    public void setRoadshowName(String roadshowName) {
        this.roadshowName = roadshowName == null ? null : roadshowName.trim();
    }

    public String getFinancingType() {
        return financingType;
    }

    public void setFinancingType(String financingType) {
        this.financingType = financingType == null ? null : financingType.trim();
    }

    public BigDecimal getFinancingAmount() {
        return financingAmount;
    }

    public void setFinancingAmount(BigDecimal financingAmount) {
        this.financingAmount = financingAmount;
    }

    public String getProjectPhase() {
        return projectPhase;
    }

    public void setProjectPhase(String projectPhase) {
        this.projectPhase = projectPhase == null ? null : projectPhase.trim();
    }

    public String getTradeField() {
        return tradeField;
    }

    public void setTradeField(String tradeField) {
        this.tradeField = tradeField == null ? null : tradeField.trim();
    }

    public String getRoadshowTag() {
        return roadshowTag;
    }

    public void setRoadshowTag(String roadshowTag) {
        this.roadshowTag = roadshowTag == null ? null : roadshowTag.trim();
    }

    public Long getPublishBy() {
        return publishBy;
    }

    public void setPublishBy(Long publishBy) {
        this.publishBy = publishBy;
    }

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public Long getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(Long auditedBy) {
        this.auditedBy = auditedBy;
    }

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult == null ? null : auditResult.trim();
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion == null ? null : auditOpinion.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}